# Generated by Django 2.0.5 on 2018-05-25 06:49

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='deliveries',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('match_id', models.IntegerField()),
                ('inning', models.PositiveSmallIntegerField()),
                ('batting_team', models.CharField(max_length=200)),
                ('bowling_team', models.CharField(max_length=200)),
                ('over', models.PositiveSmallIntegerField()),
                ('ball', models.PositiveSmallIntegerField()),
                ('batsman', models.CharField(max_length=200)),
                ('non_striker', models.CharField(max_length=200)),
                ('bowler', models.CharField(max_length=200)),
                ('is_super_over', models.PositiveSmallIntegerField()),
                ('wide_runs', models.PositiveSmallIntegerField()),
                ('bye_runs', models.PositiveSmallIntegerField()),
                ('legbye_runs', models.PositiveSmallIntegerField()),
                ('noball_runs', models.PositiveSmallIntegerField()),
                ('penalty_runs', models.PositiveSmallIntegerField()),
                ('batsman_runs', models.PositiveSmallIntegerField()),
                ('extra_runs', models.PositiveSmallIntegerField()),
                ('total_runs', models.PositiveSmallIntegerField()),
                ('player_dismissed', models.CharField(max_length=200)),
                ('dismissal_kind', models.CharField(max_length=200)),
                ('fielder', models.CharField(max_length=200)),
            ],
            options={
                'ordering': ('match_id', 'over', 'ball'),
            },
        ),
        migrations.CreateModel(
            name='matches',
            fields=[
                ('id', models.PositiveSmallIntegerField(primary_key=True, serialize=False)),
                ('season', models.IntegerField()),
                ('city', models.CharField(max_length=200)),
                ('date', models.DateField()),
                ('team1', models.CharField(max_length=200)),
                ('team2', models.CharField(max_length=200)),
                ('toss_winner', models.CharField(max_length=200)),
                ('toss_decision', models.CharField(max_length=10)),
                ('result', models.CharField(max_length=10)),
                ('dl_applied', models.SmallIntegerField()),
                ('winner', models.CharField(max_length=200)),
                ('win_by_runs', models.PositiveIntegerField()),
                ('win_by_wickets', models.PositiveSmallIntegerField()),
                ('player_of_match', models.CharField(max_length=200)),
                ('venue', models.CharField(max_length=200)),
                ('umpire1', models.CharField(max_length=200)),
                ('umpire2', models.CharField(max_length=200)),
            ],
            options={
                'ordering': ('id',),
            },
        ),
    ]
